org.springframework.aop.config

## Class PointcutComponentDefinition

- java.lang.Object
- - org.springframework.beans.factory.parsing.AbstractComponentDefinition
  - - org.springframework.aop.config.PointcutComponentDefinition

All Implemented Interfaces:
  BeanMetadataElement, ComponentDefinition

    public class PointcutComponentDefinition
    extends AbstractComponentDefinition

`ComponentDefinition` implementation that holds a pointcut definition.

Since:
  2.0
Author:
  Rob Harrop

### Constructor Summary

Constructors
Constructor and Description
`PointcutComponentDefinition(String pointcutBeanName, BeanDefinition pointcutDefinition, String expression)`

### Method Summary

Methods
`BeanDefinition[]` `getBeanDefinitions()` Returns an empty array.
`String` `getDescription()` Delegates to `ComponentDefinition.getName()`.
`String` `getName()` Get the user-visible name of this `ComponentDefinition`.
`Object` `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).

### Methods inherited from class org.springframework.beans.factory.parsing.AbstractComponentDefinition

`getBeanReferences, getInnerBeanDefinitions, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PointcutComponentDefinition

    public PointcutComponentDefinition(String pointcutBeanName,
                               BeanDefinition pointcutDefinition,
                               String expression)

### Method Detail

#### getName

    public String getName()

Description copied from interface: `ComponentDefinition`
Get the user-visible name of this `ComponentDefinition`.

This should link back directly to the corresponding configuration data for this component in a given context.

#### getDescription

    public String getDescription()

Description copied from class: `AbstractComponentDefinition`
Delegates to `ComponentDefinition.getName()`.

Specified by:
  `getDescription` in interface `ComponentDefinition`
Overrides:
  `getDescription` in class `AbstractComponentDefinition`

#### getBeanDefinitions

    public BeanDefinition[] getBeanDefinitions()

Description copied from class: `AbstractComponentDefinition`
Returns an empty array.

Specified by:
  `getBeanDefinitions` in interface `ComponentDefinition`
Overrides:
  `getBeanDefinitions` in class `AbstractComponentDefinition`
Returns:
  the array of BeanDefinitions, or an empty array if none

#### getSource

    public Object getSource()

Description copied from interface: `BeanMetadataElement`
Return the configuration source `Object` for this metadata element (may be `null`).